[SciPy-Dev] [SciPy-User] ANN: scipy 0.8.0 release candidate 3

Derek Homeier derek@astro.physik.uni-goettingen...
Mon Jul 19 12:51:35 CDT 2010


On 18.07.2010, at 12:44AM, Vincent Davis wrote:

>> well, as I said I did try the gcc-4.2 build, but probably missed that
>> Vincent was compiling numpy trunk -
>> I probably should try again on my 10.6 64-bit installation.
> For you information
> Python version 2.7.0+ (release27-maint:82653, Jul  8 2010, 14:45:18)
> [GCC 4.2.1 (Apple Inc. build 5659)]
> 
> Build commands used
> python 2.7
> ./configure --with-universal-archs=64-bit
> --enable-universalsdk=/Developer/SDKs/MacOSX10.5.sdk
> --enable-framework
> 
> for numpy and scipy I used
> LDFLAGS="-arch x86_64" FFLAGS="-arch x86_64" py27 setupscons.py scons

thanks for the pointer, but the crucial point was in fact, as Ralf mentioned, using the 
numpy-1.4.1 release - after I upgraded to numpy-2.0.0.dev8509 from svn, both 
numpy and scipy tests passed simply building with the defaults (which amount to 
64bit compile on my OS X 10.6 installation anyway, I believe). 

Cheers,
								Derek



More information about the SciPy-Dev mailing list